package com.pj.tb_people_profit_record;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: tb_people_profit_record -- 边民收益记录
 * @author yzs 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbPeopleProfitRecordService extends ServiceImpl<TbPeopleProfitRecordMapper, TbPeopleProfitRecord> implements IService<TbPeopleProfitRecord>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbPeopleProfitRecordMapper tbPeopleProfitRecordMapper;

	/** 增 */
	void add(TbPeopleProfitRecord t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbPeopleProfitRecord t){
		updateById(t);

	}

	/** 查 */
	TbPeopleProfitRecord getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbPeopleProfitRecord> getList(SoMap so) { 
		return tbPeopleProfitRecordMapper.getList(so);	
	}
	

}
